Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.drools
Class DroolsAssignmentHandler

    java.lang.Object
      org.jboss.seam.drools.DroolsHandler
          org.jboss.seam.drools.DroolsAssignmentHandler

All Implemented Interfaces:
  Serializable, org.jbpm.taskmgmt.def.AssignmentHandler

    public class DroolsAssignmentHandler

extends DroolsHandler
implements org.jbpm.taskmgmt.def.AssignmentHandler

A jBPM AssignmentHandler that delegates to a Drools WorkingMemory held in a Seam context variable.

Author:
  Jeff Delong, Gavin King
See Also:
  Serialized Form

Field Summary
`List<String>` | `assertObjects`
`List<String>` | `retractObjects`
`String` | `startProcessId`
`String` | `workingMemoryName`

Constructor Summary
`DroolsAssignmentHandler()`

Method Summary
`void` | `assign(org.jbpm.taskmgmt.exe.Assignable assignable, org.jbpm.graph.exe.ExecutionContext executionContext)`

Methods inherited from class org.jboss.seam.drools.DroolsHandler
`getWorkingMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workingMemoryName

    public String workingMemoryName

### assertObjects

    public List<String> assertObjects

### retractObjects

    public List<String> retractObjects

### startProcessId

    public String startProcessId

Constructor Detail

### DroolsAssignmentHandler

    public DroolsAssignmentHandler()

Method Detail

### assign

    public void assign(org.jbpm.taskmgmt.exe.Assignable assignable,
                       org.jbpm.graph.exe.ExecutionContext executionContext)
                throws Exception

  Specified by:
    `assign` in interface `org.jbpm.taskmgmt.def.AssignmentHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.